import { HcApi } from "../../request/index";

export default {
    async page(form) {
        return HcApi({
            url: "/api/blade-business/metadata/classification/detail",
            method: "get",
            params: form,
        });
    },
    //取消捕获
    async cancelAllocation(form) {
        return HcApi({
            url: "/api/blade-business/metadata/cancelAllocation",
            method: "post",
            params: form,
        });
    },
    //修改
    async metadataUpdate(form) {
        return HcApi({
            url: "/api/blade-business/metadata/classification/submit",
            method: "post",
            data: form,
        });
    },
    //删除
    async remove(form) {
        return HcApi({
            url: "/api/blade-business/metadata/remove",
            method: "post",
            params: form,
        });
    },
    //设置
    async allocation(form) {
        return HcApi({
            url: "/api/blade-business/metadata/allocation",
            method: "post",
            params: form,
        });
    },
};
